Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageSobel3D Class Reference

`#include <vtkImageSobel3D.h>`

Inheritance diagram for vtkImageSobel3D:

[legend]
Collaboration diagram for vtkImageSobel3D:

[legend]
List of all members.

## Detailed Description

Computes a vector field using sobel functions.

Date:
  2002/01/22 15:33:31

Revision:
  1.28

vtkImageSobel3D computes a vector field from a scalar field by using Sobel functions. The number of vector components is 3 because the input is a volume. Output is always floats. A little creative liberty was used to extend the 2D sobel kernels into 3D.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (84%)
  - Martin, Ken (9%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageSobel3D.h)`
  - .`cxx` (`/Imaging/vtkImageSobel3D.cxx)`

Tests:
  vtkImageSobel3D (Tests)

Definition at line 48 of file vtkImageSobel3D.h.

## Public Types
typedef vtkImageSpatialFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkImageSobel3D * | New ()
int | IsTypeOf (const char *type)
vtkImageSobel3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageSobel3D ()
| ~vtkImageSobel3D ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageSobel3D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 52 of file vtkImageSobel3D.h.

## Constructor & Destructor Documentation

vtkImageSobel3D::vtkImageSobel3D | ( |  | ) | `[protected]`

vtkImageSobel3D::~vtkImageSobel3D | ( |  | ) | `[inline, protected]`

| Definition at line 57 of file vtkImageSobel3D.h.

## Member Function Documentation

vtkImageSobel3D* vtkImageSobel3D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageSobel3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageSobel3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageSobel3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageSobel3D* vtkImageSobel3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageSobel3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSpatialFilter.

void vtkImageSobel3D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

void vtkImageSobel3D::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageSobel3D::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageSpatialFilter. Definition at line 62 of file vtkImageSobel3D.h. References vtkImageToImageFilter::ExecuteInformation().

The documentation for this class was generated from the following file:

- Imaging/vtkImageSobel3D.h